#include "controller.h"
#include "ressources.h"

Controller::Controller(HWND hwnd, int IDmap):
    _diffCtrl(hwnd, ID_MAIN, IDmap)
{
    _diffCtrl.SetFocus();
}

Controller::~Controller()
{}

int Controller::CloseProc()
{
    return _diffCtrl.CloseProc();
}

Controller::operator HWND() const
{
    return _diffCtrl.Hwnd();
}

void Controller::Paint()
{
    _diffCtrl.Paint();
}

void Controller::Command(HWND hwnd, WPARAM wParam, LPARAM lParam)
{
    _diffCtrl.Command(LOWORD(wParam));
}
